Bug 1474348 - [rfe] add host count to location API call
Summary: [rfe] add host count to location API call
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Organizations and Locations
Version: 6.2.10
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Ales Dujicek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-24 12:38 UTC by Chris Duryee
Modified: 2019-11-05 23:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:28:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:30:14 UTC
Foreman Issue Tracker 21012 None None None 2017-09-19 16:16:00 UTC

Description Chris Duryee 2017-07-24 12:38:18 UTC
Description of problem:

Currently, the API call to "/api/v2/locations/<id>" shows a lot of info, but does not show the number of hosts associated with the location. This is useful for users who use the API to produce reports on how many systems are in each location.

This info is available via the web UI in the locations page, but in order to get at the same information via the API, you have to do a search for each location and count the results.

Version-Release number of selected component (if applicable): 6.2.10

Comment 2 Daniel Lobato Garcia 2017-09-19 16:15:58 UTC
Created redmine issue http://projects.theforeman.org/issues/21012 from this bug

Comment 3 pm-sat@redhat.com 2017-11-27 13:20:31 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21012 has been resolved.

Comment 6 errata-xmlrpc 2018-10-16 15:28:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.